package com.ruoyi.project.sems.service;

import java.util.List;
import com.ruoyi.project.sems.domain.TReportHiYlrq;
import com.ruoyi.project.sems.domain.TReportYlrq;

/**
 * 压力容器报告历史Service接口
 *
 * @author ruoyi
 * @date 2021-09-02
 */
public interface ITReportHiYlrqService
{
    /**
     * 查询压力容器报告历史
     *
     * @param id 压力容器报告历史ID
     * @return 压力容器报告历史
     */
    public TReportHiYlrq selectTReportHiYlrqById(Long id);

    /**
     * 根据年份获取压力容器报告历史
     *
     * @param year 年份
     * @return
     */
    public List<TReportHiYlrq> selectTReportHiYlrqForYear(TReportHiYlrq year);

    /**
     * 查询压力容器报告历史列表
     *
     * @param tReportHiYlrq 压力容器报告历史
     * @return 压力容器报告历史集合
     */
    public List<TReportHiYlrq> selectTReportHiYlrqList(TReportHiYlrq tReportHiYlrq);

    /**
     * 新增压力容器报告历史
     *
     * @param tReportHiYlrq 压力容器报告历史
     * @return 结果
     */
    public int insertTReportHiYlrq(TReportHiYlrq tReportHiYlrq);
    /**
     * 修改压力容器报告历史
     *
     * @param tReportHiYlrq 压力容器报告历史
     * @return 结果
     */
    public int updateTReportHiYlrq(TReportHiYlrq tReportHiYlrq);

    /**
     * 批量删除压力容器报告历史
     *
     * @param ids 需要删除的压力容器报告历史ID
     * @return 结果
     */
    public int deleteTReportHiYlrqByIds(Long[] ids);

    /**
     * 删除压力容器报告历史信息
     *
     * @param id 压力容器报告历史ID
     * @return 结果
     */
    public int deleteTReportHiYlrqById(Long id);


}
